﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;
using System.Windows.Threading;
using Telerik.Windows.Controls;

namespace SilverlightApplication15
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class ViewModel : ViewModelBase
    {
        private Random rand = new Random(123456);

        public ViewModel()
        {
            DispatcherTimer timer = new DispatcherTimer();
            timer.Interval = TimeSpan.FromMilliseconds(27);
            timer.Tick += new EventHandler(timer_Tick);
            timer.Start();
        }

        private List<ChartData> data;

        public List<ChartData> Data
        {
            get
            {
                return this.data;
            }
            set
            {
                if (this.data != value)
                {
                    this.data = value;
                    this.OnPropertyChanged("Data");
                }
            }
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            var temp = new List<ChartData>();
            for (int i = 0; i < 2048; i++)
            {
                temp.Add(new ChartData() { Index = i, Data = rand.Next(10, 100) });
            }

            this.Data = temp;
        }
    }

    public class ChartData
    {
        public int Index
        {
            get;
            set;
        }

        public double Data
        {
            get;
            set;
        }
    }
}
